Summary:        Music Player with the aims to be intuitive, easy to use and fast
Name:           guayadeque
Version:        0.3.5
Release:        %mkrel 4
Group:          Sound/Players
License:        GPLv2+
URL:            http://www.sourceforge.net/projects/guayadeque/
Source0:        http://www.sourceforge.net/projects/guayadeque/%{name}-%{version}.tar.bz2
BuildRequires:  cmake 
BuildRequires:  wxgtku-devel >= 2.8.10
BuildRequires:  sqlite3-devel
BuildRequires:  libxml2-devel
BuildRequires:  taglib-devel 
BuildRequires:  curl-devel 
BuildRequires:  libmp4v2-devel
BuildRequires:  libflac-devel
BuildRequires:  dbus-devel
BuildRequires:  libgstreamer-devel
BuildRequires:  imagemagick
BuildRequires:  libgpod-devel
BuildRequires:  desktop-file-utils
Requires:       gstreamer0.10-plugins-base
Requires:       gstreamer0.10-plugins-good
Requires:       gstreamer0.10-plugins-ugly


%description
Guayadeque is a music management program designed for all music enthusiasts.
It is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework. 
Some of Guayadeque Features

- Play mp3, ogg, flac, wma, wav, mpc, mp4, ape, ...
- Configurable cross fader engine
- Configurable Silence detector to avoid listening to silence between tracks
- Read and write tags in all supported formats
- Allow to catalog your music using labels
  Any track, artist or album can have as many labels you want
- Smart play mode that add tracks that fit your music taste
- Ability to download covers manually or automatically
- Suggest music using last.fm service
- Allow fast access to any music file by genre, artist, album, etc
- Play and Record shoutcast radios


%prep
%setup -q

%build
#remove build script conflicting with build/ folder used by cmake
rm -f ./build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Encoding" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%doc README changelog LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.5-4.mga4
+ Revision: 505386
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.5-3.mga3
+ Revision: 352944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 barjac <barjac> 0.3.5-2.mga3
+ Revision: 333510
- change group to new policy

* Wed Mar 07 2012 anssi <anssi> 0.3.5-1.mga2
+ Revision: 221343
- new version 0.3.5
- drop now unneeded fix-string-literal.patch, fixed upstream

* Mon Sep 05 2011 doktor5000 <doktor5000> 0.3.1-1.mga2
+ Revision: 138901
- add BuildRequires on desktop-file-utils
- remove unused Require
- imported package guayadeque

  + anssi <anssi>
    - fix -Wformat-security patch

